## Function Macros

### gst_discoverer_info_ref

    #define gst_discoverer_info_ref(info) (g_object_ref((GObject*)info))

Increments the reference count of info.

Parameters:

`info` –

a GstDiscovererInfo

Returns –

the same GstDiscovererInfo object

### gst_discoverer_info_unref

    #define gst_discoverer_info_unref(info) (g_object_unref((GObject*)info))

Decrements the reference count of info.

Parameters:

`info` –

a GstDiscovererInfo

### gst_discoverer_stream_info_ref

    #define gst_discoverer_stream_info_ref(info) ((GstDiscovererStreamInfo*) g_object_ref((GObject*) info))

Increments the reference count of info.

Parameters:

`info` –

a GstDiscovererStreamInfo

Returns –

the same GstDiscovererStreamInfo object

### gst_discoverer_stream_info_unref

    #define gst_discoverer_stream_info_unref(info) (g_object_unref((GObject*) info))

Decrements the reference count of info.

Parameters:

`info` –

a GstDiscovererStreamInfo

The results of the search are